You are not logged in.

#1 2019-04-04 20:29:56

DeepDayze
Member
From: In Linux Land
Registered: 2017-05-28
Posts: 761

Kernel 5.0 on BL

Hey all, has anyone tried to set up kernel 5.0 on Stretch and is it possible to do?


Real Men Use Linux

Offline

#2 2019-04-04 20:43:39

twoion
ほやほや
Registered: 2015-08-10
Posts: 2,553

Re: Kernel 5.0 on BL

It's actually rather simple nowadays to make a custom kernel. The kernel itself has support for building Debian packages. The steps are outlined here: https://debian-handbook.info/browse/sta … ation.html. It'll yield a kernel package you can install/remove as usual.

Of course, as you are your own tester then, YMMV.


At the end of the river the sundown beams

Offline

#3 2019-04-05 03:51:02

stevep
MX Linux Developer
Registered: 2016-08-08
Posts: 379

Re: Kernel 5.0 on BL

Sure, Liquorix kernel backports: https://build.opensuse.org/project/show … r:codelite

If you're running out of tree drivers like Nvidia or broadcom-sta, you'll need the versions from stretch-backports, and I'm not really sure what's else in backports now...you can look at my announcement on the Stretch-based MX here: https://forum.mxlinux.org/viewtopic.php … &start=110

Stretch-backports has since added the 410.104 Nvidia driver.

Offline

#4 2019-04-06 02:13:36

DeepDayze
Member
From: In Linux Land
Registered: 2017-05-28
Posts: 761

Re: Kernel 5.0 on BL

Thanks @stevep and I will try the Liquorix backports.


Real Men Use Linux

Offline

#5 2019-04-06 02:37:44

bigbenaugust
Member
From: unc.edu / the 919 / KIGX
Registered: 2017-05-20
Posts: 171

Re: Kernel 5.0 on BL

stevep wrote:

Sure, Liquorix kernel backports: https://build.opensuse.org/project/show … r:codelite

If you're running out of tree drivers like Nvidia or broadcom-sta, you'll need the versions from stretch-backports, and I'm not really sure what's else in backports now...you can look at my announcement on the Stretch-based MX here: https://forum.mxlinux.org/viewtopic.php … &start=110

Stretch-backports has since added the 410.104 Nvidia driver.

I'm not the only one with divided BL/MX loyalties?!


--Ben
BL / MX / Raspbian... and a whole bunch of RHEL boxes. :)

Offline

#6 2019-06-14 16:13:43

Javitzso
New Member
Registered: 2019-06-14
Posts: 1

Re: Kernel 5.0 on BL

Running BL with 5.1.2 on HP Chromebook X2.

Offline

#7 2019-08-10 21:01:42

Danrobi
New Member
Registered: 2019-08-10
Posts: 2

Re: Kernel 5.0 on BL

Hello
I would like to install steam but i think my kernel too old 4.9
Any pro who would like to help a noob user with some easy tips?
Thanks!

EDit: I managed to install steam but steam doesnt work, says missing: libGL.so.1
But its actually installed already
---Mod edit - added [ code ] tags---

[2019-08-10 18:13:55] Downloading update (349,021 of 350,816 KB)...
[2019-08-10 18:13:55] Downloading update (349,984 of 350,816 KB)...
[2019-08-10 18:13:55] Downloading update (350,816 of 350,816 KB)...
[2019-08-10 18:13:56] Download Complete.
[2019-08-10 18:13:56] uninstalled manifest found in /home/danrobi/.steam/package/steam_client_ubuntu12 (1).
[2019-08-10 18:13:56] Extracting package...
[2019-08-10 18:14:06] Installing update...
[2019-08-10 18:14:06] Cleaning up...
[2019-08-10 18:14:06] Update complete, launching...
[2019-08-10 18:14:06] Shutdown
Running Steam on bunsenlabs 9.8 64-bit
STEAM_RUNTIME is enabled automatically
Pins potentially out-of-date, rebuilding...
Found newer runtime version for 64-bit libdbusmenu-glib.so.4. Host: 4.0.12 Runtime: 4.0.13
Found newer runtime version for 64-bit libmpg123.so.0. Host: 0.42.3 Runtime: 0.44.8
Found newer runtime version for 64-bit libvulkan.so.1. Host: 1.0.39 Runtime: 1.1.73
Found newer runtime version for 64-bit libopus.so.0. Host: 0.5.3 Runtime: 0.7.0
Forced use of runtime version for 64-bit libcurl.so.4. Host: 4.4.0 Runtime: 4.2.0
Found newer runtime version for 64-bit libdbusmenu-gtk.so.4. Host: 4.0.12 Runtime: 4.0.13
Found newer runtime version for 64-bit libGLU.so.1. Host: 1.3.1 Runtime: 1.3.8004
Error: You are missing the following 32-bit libraries, and Steam may not run:
libGL.so.1
WARNING: setlocale('en_US.UTF-8') failed, using locale: 'C'. International characters may not work.
[2019-08-10 18:15:06] Startup - updater built Aug  6 2019 01:02:51
[2019-08-10 18:15:07] Verifying installation...
[2019-08-10 18:15:07] Unable to read and verify install manifest /home/danrobi/.steam/package/steam_client_ubuntu12.installed
[2019-08-10 18:15:07] Verification complete
[2019-08-10 18:15:07] Downloading update...
[2019-08-10 18:15:07] Checking for available updates...
[2019-08-10 18:15:07] Downloading manifest: client-download.steampowered.com/client/steam_client_ubuntu12
[2019-08-10 18:15:07] Download complete.
[2019-08-10 18:15:07] uninstalled manifest found in /home/danrobi/.steam/package/steam_client_ubuntu12 (1).
[2019-08-10 18:15:07] Extracting package...
[2019-08-10 18:15:17] Installing update...
[2019-08-10 18:15:20] Cleaning up...
[2019-08-10 18:15:20] Update complete, launching Steam...
[2019-08-10 18:15:20] Shutdown
Restarting Steam by request...
Running Steam on bunsenlabs 9.8 64-bit
STEAM_RUNTIME has been set by the user to: /home/danrobi/.steam/ubuntu12_32/steam-runtime
Pins up-to-date!
Error: You are missing the following 32-bit libraries, and Steam may not run:
libGL.so.1
WARNING: setlocale('en_US.UTF-8') failed, using locale: 'C'. International characters may not work.
[2019-08-10 18:15:22] Startup - updater built Aug  6 2019 01:02:51
[2019-08-10 18:15:22] Verifying installation...
[2019-08-10 18:15:22] Verification complete
[2019-08-10 18:15:23] Shutdown

I aslo have 64 kept back packages:

~$ sudo apt-get -t stretch-backports upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  btrfs-progs dirmngr dkms e2fslibs e2fsprogs f2fs-tools flatpak gnupg gnupg-agent
  libcomerr2 libdrm-amdgpu1 libdrm-amdgpu1:i386 libdrm2 libdrm2:i386
  libegl-nvidia0 libegl1-mesa libgbm1 libgl1-mesa-dri libgl1-mesa-dri:i386
  libgl1-mesa-glx libgl1-mesa-glx:i386 libgl1-nvidia-glvnd-glx libglapi-mesa
  libglapi-mesa:i386 libgles-nvidia1 libgles-nvidia2 libgles2-mesa libglx-nvidia0
  libgpg-error0 libgpg-error0:i386 libgpgme11 libjavascriptcoregtk-4.0-18
  libnvidia-cfg1 libnvidia-eglcore libnvidia-glcore libnvidia-ml1
  libreoffice-base-core libreoffice-common libreoffice-core libreoffice-gtk2
  libreoffice-writer libss2 libwayland-egl1-mesa libwebkit2gtk-4.0-37
  libxatracker2 linux-headers-amd64 linux-image-amd64 nvidia-alternative
  nvidia-driver nvidia-driver-bin nvidia-driver-libs nvidia-egl-icd
  nvidia-kernel-dkms nvidia-kernel-support nvidia-vdpau-driver nvidia-vulkan-icd
  python-cryptography systemd-sysv uno-libs3 ure wpasupplicant xdg-desktop-portal
  xdg-desktop-portal-gtk xserver-xorg-video-nvidia
0 upgraded, 0 newly installed, 0 to remove and 64 not upgraded.

Last edited by damo (2019-08-11 10:11:15)

Offline

#8 2019-08-11 10:21:22

damo
....moderator....
Registered: 2015-08-20
Posts: 5,246

Re: Kernel 5.0 on BL

@Danrobi

Please use code tags when posting terminal output - it is much easier to read!

Instead of duplicating your posts in different threads, try and keep everything in one place, and add a link to other threads where appropriate wink


Be Excellent to Each Other...

FORUM RULES and posting guidelines «» Help page for forum post formatting
Artwork on DeviantArt  «» BunsenLabs on DeviantArt

Offline

#9 2019-08-11 19:39:31

d33vliter
New Member
Registered: 2019-08-10
Posts: 4

Re: Kernel 5.0 on BL

Danrobi wrote:

Hello
I would like to install steam but i think my kernel too old 4.9
Any pro who would like to help a noob user with some easy tips?
Thanks!

EDit: I managed to install steam but steam doesnt work, says missing: libGL.so.1
But its actually installed already
---Mod edit - added [ code ] tags---

[2019-08-10 18:13:55] Downloading update (349,021 of 350,816 KB)...
[2019-08-10 18:13:55] Downloading update (349,984 of 350,816 KB)...
[2019-08-10 18:13:55] Downloading update (350,816 of 350,816 KB)...
[2019-08-10 18:13:56] Download Complete.
[2019-08-10 18:13:56] uninstalled manifest found in /home/danrobi/.steam/package/steam_client_ubuntu12 (1).
[2019-08-10 18:13:56] Extracting package...
[2019-08-10 18:14:06] Installing update...
[2019-08-10 18:14:06] Cleaning up...
[2019-08-10 18:14:06] Update complete, launching...
[2019-08-10 18:14:06] Shutdown
Running Steam on bunsenlabs 9.8 64-bit
STEAM_RUNTIME is enabled automatically
Pins potentially out-of-date, rebuilding...
Found newer runtime version for 64-bit libdbusmenu-glib.so.4. Host: 4.0.12 Runtime: 4.0.13
Found newer runtime version for 64-bit libmpg123.so.0. Host: 0.42.3 Runtime: 0.44.8
Found newer runtime version for 64-bit libvulkan.so.1. Host: 1.0.39 Runtime: 1.1.73
Found newer runtime version for 64-bit libopus.so.0. Host: 0.5.3 Runtime: 0.7.0
Forced use of runtime version for 64-bit libcurl.so.4. Host: 4.4.0 Runtime: 4.2.0
Found newer runtime version for 64-bit libdbusmenu-gtk.so.4. Host: 4.0.12 Runtime: 4.0.13
Found newer runtime version for 64-bit libGLU.so.1. Host: 1.3.1 Runtime: 1.3.8004
Error: You are missing the following 32-bit libraries, and Steam may not run:
libGL.so.1
WARNING: setlocale('en_US.UTF-8') failed, using locale: 'C'. International characters may not work.
[2019-08-10 18:15:06] Startup - updater built Aug  6 2019 01:02:51
[2019-08-10 18:15:07] Verifying installation...
[2019-08-10 18:15:07] Unable to read and verify install manifest /home/danrobi/.steam/package/steam_client_ubuntu12.installed
[2019-08-10 18:15:07] Verification complete
[2019-08-10 18:15:07] Downloading update...
[2019-08-10 18:15:07] Checking for available updates...
[2019-08-10 18:15:07] Downloading manifest: client-download.steampowered.com/client/steam_client_ubuntu12
[2019-08-10 18:15:07] Download complete.
[2019-08-10 18:15:07] uninstalled manifest found in /home/danrobi/.steam/package/steam_client_ubuntu12 (1).
[2019-08-10 18:15:07] Extracting package...
[2019-08-10 18:15:17] Installing update...
[2019-08-10 18:15:20] Cleaning up...
[2019-08-10 18:15:20] Update complete, launching Steam...
[2019-08-10 18:15:20] Shutdown
Restarting Steam by request...
Running Steam on bunsenlabs 9.8 64-bit
STEAM_RUNTIME has been set by the user to: /home/danrobi/.steam/ubuntu12_32/steam-runtime
Pins up-to-date!
Error: You are missing the following 32-bit libraries, and Steam may not run:
libGL.so.1
WARNING: setlocale('en_US.UTF-8') failed, using locale: 'C'. International characters may not work.
[2019-08-10 18:15:22] Startup - updater built Aug  6 2019 01:02:51
[2019-08-10 18:15:22] Verifying installation...
[2019-08-10 18:15:22] Verification complete
[2019-08-10 18:15:23] Shutdown

I aslo have 64 kept back packages:

~$ sudo apt-get -t stretch-backports upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  btrfs-progs dirmngr dkms e2fslibs e2fsprogs f2fs-tools flatpak gnupg gnupg-agent
  libcomerr2 libdrm-amdgpu1 libdrm-amdgpu1:i386 libdrm2 libdrm2:i386
  libegl-nvidia0 libegl1-mesa libgbm1 libgl1-mesa-dri libgl1-mesa-dri:i386
  libgl1-mesa-glx libgl1-mesa-glx:i386 libgl1-nvidia-glvnd-glx libglapi-mesa
  libglapi-mesa:i386 libgles-nvidia1 libgles-nvidia2 libgles2-mesa libglx-nvidia0
  libgpg-error0 libgpg-error0:i386 libgpgme11 libjavascriptcoregtk-4.0-18
  libnvidia-cfg1 libnvidia-eglcore libnvidia-glcore libnvidia-ml1
  libreoffice-base-core libreoffice-common libreoffice-core libreoffice-gtk2
  libreoffice-writer libss2 libwayland-egl1-mesa libwebkit2gtk-4.0-37
  libxatracker2 linux-headers-amd64 linux-image-amd64 nvidia-alternative
  nvidia-driver nvidia-driver-bin nvidia-driver-libs nvidia-egl-icd
  nvidia-kernel-dkms nvidia-kernel-support nvidia-vdpau-driver nvidia-vulkan-icd
  python-cryptography systemd-sysv uno-libs3 ure wpasupplicant xdg-desktop-portal
  xdg-desktop-portal-gtk xserver-xorg-video-nvidia
0 upgraded, 0 newly installed, 0 to remove and 64 not upgraded.

usually, when that library is missing, is that the 32bits nvidia libraries are missing, I guess you'll be using gpu nvidia, in case it's another gpu look for the 32bits libraries of the graphical drivers you're using.

https://wiki.debian.org/Steam#A64-bit_s … 28amd64.29

Last edited by d33vliter (2019-08-11 19:43:32)

Offline

#10 2019-08-11 19:56:55

stevep
MX Linux Developer
Registered: 2016-08-08
Posts: 379

Re: Kernel 5.0 on BL

bigbenaugust wrote:
stevep wrote:

Sure, Liquorix kernel backports: https://build.opensuse.org/project/show … r:codelite

If you're running out of tree drivers like Nvidia or broadcom-sta, you'll need the versions from stretch-backports, and I'm not really sure what's else in backports now...you can look at my announcement on the Stretch-based MX here: https://forum.mxlinux.org/viewtopic.php … &start=110

Stretch-backports has since added the 410.104 Nvidia driver.

I'm not the only one with divided BL/MX loyalties?!

Well, I'm the lead packager for MX, but help out here when I can.

I did make a new Buster OBS repo for backported Debian upstream 5.2.7 kernel: https://build.opensuse.org/package/show … x-libc-dev

I'll use a separate OBS repo for the Stretch backport.

https://build.opensuse.org/package/show … x-libc-dev

Last edited by stevep (2019-08-11 20:40:44)

Offline

#11 2019-08-12 02:08:02

bigbenaugust
Member
From: unc.edu / the 919 / KIGX
Registered: 2017-05-20
Posts: 171

Re: Kernel 5.0 on BL

My plan was to wait for 5.x to hit buster-backports. smile


--Ben
BL / MX / Raspbian... and a whole bunch of RHEL boxes. :)

Offline

#12 2019-08-13 02:50:50

DeepDayze
Member
From: In Linux Land
Registered: 2017-05-28
Posts: 761

Re: Kernel 5.0 on BL

bigbenaugust wrote:

My plan was to wait for 5.x to hit buster-backports. smile

That'll be real soon now smile

Hopefully Lithium will be ready to go by then.


Real Men Use Linux

Offline

#13 2019-08-13 03:27:06

hhh
Meep!
Registered: 2015-09-17
Posts: 8,717
Website

Re: Kernel 5.0 on BL

DeepDayze wrote:

Hopefully Lithium will be ready to go by then.

We're working really hard on it. I tried pushing a bit recently, bad idea. Then I realized that I was behind in my work as well.

It's very tough. We're all very passionate, but carving out the time at the right time (when you're inspired and can work quickly with a purpose) is very, very tricky in real life.

Still, I'd say we're on top of things ATM, in spite of a bunch of changes and new features. We're working on a bunch of changes and new features. An alpha is in the works, bear with us.

Grammar, people. Bare means naked. Bear is a big growly thing that sleeps in winter, but forbear is another thing entirely.


*****

My mind works too quickly to no real purpose...

+++++

Fore bear skin.





There, I said it.

Offline

#14 2019-08-13 05:30:35

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 6,053
Website

Re: Kernel 5.0 on BL

^"bear" also means support, put up with...
But you all knew that already.


John
--------------------
( a boring Japan blog, idle Twitterings and GitStuff )
In case you forget, the rules.

Offline

Board footer

Powered by FluxBB